<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/
	if (!defined("IGNX")) { die("Attempt..."); }

	// menu resumen sistema
?>
<div class="menu_comple">

<?php include("inc.menu_logo.php"); ?>

<div class="resumen_ini">
<?php

	echo '<div class="rotulo_resu"><img class="img_icon_resu" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_sistema.png" />';
	echo '<br />'.LEN_ADMIN_62.'</div>';

	// elegir idioma admin en uso
	echo '<div class="div_texto_resu">';					

	$qid = myquery("SELECT * FROM ".IDIOMA_ADMIN." WHERE lenID='1'","[idr2]");
	$rowid = myfetch($qid);			
	if ( $rowid["topic_pre"] != "" ) { $tpl_idioma_admin = '<a href="'.$archivo.'?len=0">'.$rowid["topic_pre"].'</a>'; }
	if ( $rowid["topic_pre_1"] != "" ) { $tpl_idioma_admin .= ', <a href="'.$archivo.'?len=1">'.$rowid["topic_pre_1"].'</a>'; }
	if ( $rowid["topic_pre_2"] != "" ) { $tpl_idioma_admin .= ', <a href="'.$archivo.'?len=2">'.$rowid["topic_pre_2"].'</a>'; }
	if ( $rowid["topic_pre_3"] != "" ) { $tpl_idioma_admin .= ', <a href="'.$archivo.'?len=3">'.$rowid["topic_pre_3"].'</a>'; }
	if ( $rowid["topic_pre_4"] != "" ) { $tpl_idioma_admin .= ', <a href="'.$archivo.'?len=4">'.$rowid["topic_pre_4"].'</a>'; }
	if ( $rowid["topic_pre_5"] != "" ) { $tpl_idioma_admin .= ', <a href="'.$archivo.'?len=5">'.$rowid["topic_pre_5"].'</a>'; }
			
	echo $tpl_idioma_admin;
	
	echo '</div>';
	// fin elegir idioma admin en uso

	
	// resumen de configuraciones
	if ($tpl_log_nivel == 1) // administrador
	{

		// rellenar ids
		$ids_add = array('52','73','13','12','1','3','38','31');
		for ($a=0; $a<count($ids_add); $a++)
		{
			$qconf = myquery("SELECT * FROM ".INGENIO." WHERE igID='".$ids_add[$a]."'","[idr]");
			$row_conf = myfetch($qconf);
			
			if ($row_conf["igID"] == 52)
			{ 
				$texto_resumen = LEN_ADMIN_276;			
				$valor_resumen = $row_conf["topic"] == 1 ? LEN_ADMIN_59 : LEN_ADMIN_60 ;
				
			}
			if ($row_conf["igID"] == 73)
			{
			
				$texto_resumen = LEN_ADMIN_423;
				$valor_resumen = $row_conf["topic"] == 1 ? LEN_ADMIN_59 : LEN_ADMIN_60 ;
			
			} 
			if ($row_conf["igID"] == 13)
			{ 
				$texto_resumen = LEN_ADMIN_277;			
				$valor_resumen = $row_conf["topic"] == 0 ? LEN_ADMIN_60 : $row_conf["topic"] ;
				
			}
			if ($row_conf["igID"] == 12)
			{
			
				$texto_resumen = LEN_ADMIN_278;
				if (strlen($row_conf["topic"]) > 25) { $mas="..."; } else { $mas=""; }
				$valor_resumen = '<br />'.substr($row_conf["topic"],0,25).$mas;
			
			} 
			if ($row_conf["igID"] == 1)
			{
			
				$texto_resumen = LEN_ADMIN_279;
				$valor_resumen = $row_conf["topic"] == 1 ? LEN_ADMIN_59 : LEN_ADMIN_60 ;
			
			} 
			if ($row_conf["igID"] == 3)
			{
			
				$texto_resumen = LEN_ADMIN_280;
				$valor_resumen = $row_conf["topic"] == "+" ? LEN_ADMIN_60 : LEN_ADMIN_59 ;
			
			} 
			if ($row_conf["igID"] == 38)
			{
			
				$texto_resumen = LEN_ADMIN_281;
				$valor_resumen = $row_conf["topic"] == 1 ? LEN_ADMIN_59 : LEN_ADMIN_60 ;
			
			} 
			if ($row_conf["igID"] == 31)
			{
			
				$texto_resumen = LEN_ADMIN_282;
				$valor_resumen = $row_conf["topic"] == 1 ? LEN_ADMIN_59 : LEN_ADMIN_60 ;
			
			} 

				// salida de configuraciones administrador
				echo '<div class="div_texto_resu">';					
				echo '<a href="adm_'.INGENIO.'.php?igID='.$ids_add[$a].'" title="'.LEN_ADMIN_146.'" class="conex_tip"><img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_editar.png" /></a>';
				echo '<br />';
				echo '<span class="nombre_resu">'.$texto_resumen.'</span> '.$valor_resumen.'';			
				echo '</div>';
				
		} // del for
		
	} // del if ($tpl_log_nivel == 1)
	// fin resumen de configuraciones
	

	// resumen de variables de sistema
	
	// PHP
	echo '<div class="div_texto_resu">';
	if (function_exists("phpversion") && function_exists("phpinfo"))
	{
		echo '<a href="igcode.php?php=1" class="conex_tip"><img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_conex.png" /></a>';
		echo '<br />';
    	echo '<span class="nombre_resu">PHP</span> '.phpversion();
    
    } else {
    
     	echo '<span class="nombre_resu">PHP</span> '.LEN_ADMIN_60;
   
    }
	echo '</div>';

	// GD
	echo '<div class="div_texto_resu">';
	if (function_exists("gd_info"))
	{
		$array_gd = gd_info();
		echo '<a href="igcode.php?gd=1" class="conex_tip"><img class="img_icon_ini" src="../skins_admin/'.substr($row_comp['skin_admin'],0,-4).'/imgs/icon_conex.png" /></a>';
		echo '<br />';
    	echo '<span class="nombre_resu">GD</span> '.$array_gd["GD Version"];
    
    } else {
    
     	echo '<span class="nombre_resu">GD</span> '.LEN_ADMIN_60;
   
    }
	echo '</div>';
	
	// MySQL
	echo '<div class="div_texto_resu">';
	if (function_exists("mysql_get_server_info"))
	{
    	echo '<span class="nombre_resu">MySQL</span> '.mysql_get_server_info();
    
    } else {
    
     	echo '<span class="nombre_resu">MySQL</span> '.LEN_ADMIN_60;
   
    }
	echo '</div>';
	
	// funcion mail()
	echo '<div class="div_texto_resu">';
	if (function_exists("mail"))
	{
    	echo '<span class="nombre_resu">MAIL</span> '.LEN_ADMIN_59;
    
    } else {
    
     	echo '<span class="nombre_resu">MAIL</span> '.LEN_ADMIN_60;
   
    }
	echo '</div>';
		
	// admite subida de archivos
	echo '<div class="div_texto_resu">';
 	if (ini_get("file_uploads") == 1)
 	{
 		echo '<span class="nombre_resu">FTP</span> '.LEN_ADMIN_59;
 	
 	} else {
 		
 		echo '<span class="nombre_resu">FTP</span> '.LEN_ADMIN_60;
 	
 	}
	echo '</div>';
	
	// Mb de subida general de archivos
	echo '<div class="div_texto_resu">';
      	echo '<span class="nombre_resu">'.LEN_ADMIN_283.'</span> '.ini_get("upload_max_filesize").'b';   
	echo '</div>';

	// fin resumen de variables de sistema	
	
?>
</div>
<?php
	if ($tpl_log_nivel == 1) // administrador
	{

		// programacion
		if (CONFIG_53 == 1)
		{
			include ("inc.menu_php.php");
		}
		
	}
?>
</div>